#### D.8.8.12 rootIsolationPrimdec

Procedure from library `rootisolation.lib` (see rootisolation_lib).

Usage:
  `rootIsolationPrimdec(I)`; `I ideal`

Assume:
  `I` is a zero-dimensional radical ideal

Return:
  `L`, where `L` contains boxes which contain exactly one element of V(`I`)

Purpose:
  same as `rootIsolation`, but speeds up computation and improves output by doing a primary decomposition before doing the root isolation

Theory:
  For the primary decomposition we use the algorithm of Gianni-Traeger-Zarcharias.

Note:
  This algorithm and some procedures used therein perform Groebner basis computations in `basering`. It is thus advised to define `I` w.r.t. a fast monomial ordering.

Example:

    LIB "rootisolation.lib";
    ring R = 0,(x,y),dp;
    ideal I = 2x2-xy+2y2-2,2x2-3xy+3y2-2;  // V(I) has four elements
    list result = rootIsolationPrimdec(I);
    result;
    ==> [1]:
    ==>    [1, 1] x [0, 0]
    ==> [2]:
    ==>    [1/2, 1/2] x [1, 1]
    ==> [3]:
    ==>    [-1/2, -1/2] x [-1, -1]
    ==> [4]:
    ==>    [-1, -1] x [0, 0]

User manual for Singular version 4.4.1, 2025, generated by texi2html.